[ubuntu/oneiric] apt 0.8.16~exp5ubuntu1 (Accepted)

Michael Vogt michael.vogt at ubuntu.com
Mon Aug 8 13:25:31 UTC 2011


apt (0.8.16~exp5ubuntu1) oneiric; urgency=low

  * merged new version from debian/experimental, this includes
    a ABI break and two new library packages

apt (0.8.16~exp5) UNRELEASED; urgency=low

  * apt-pkg/makefile:
    - install sha256.h compat header
  * apt-pkg/pkgcachegen.{cc,h}:
    - use ref-to-ptr semantic in NewDepends() to ensure that the
      libapt does not segfault if the cache is remapped in between
      (LP: #812862)

apt (0.8.16~exp4) experimental; urgency=low

  [ Julian Andres Klode ]
  * apt-pkg/pkgcache.h:
    - [ABI break] Add pkgCache::Header::CacheFileSize, storing the cache size
  * apt-pkg/pkgcachegen.cc:
    - Write the file size to the cache
  * apt-pkg/pkgcache.cc:
    - Check that cache is at least CacheFileSize bytes large (LP: #16467)

  [ Michael Vogt ]
  * merged latest fixes from debian-sid
  * apt-pkg/cdrom.{cc,h}:
    - cleanup old ABI break avoidance hacks
  * [ABI break] apt-pkg/acquire-item.{cc,h}:
    - cleanup around OptionalIndexTarget and SubIndexTarget
  * [ABI break] merged patch from Jonathan Thomas to have a new
    RecordField() function in the pkgRecorder parser. Many thanks
    Thomas
  * [ABI break] merge patch from Jonathan Thomas to speed up the
    depcache by caching the install-recommends and install-suggests
    values
  * apt-pkg/contrib/fileutl.{cc,h}:
    - add GetModificationTime() helper
  * apt-pkg/pkgcachegen.cc:
    - regenerate the cache if the sources.list changes to ensure
      that changes in the ordering there will be honored by apt
  * apt-pkg/sourcelist.{cc,h}:
    - add pkgSourceList::GetLastModifiedTime() helper

apt (0.8.16~exp3) experimental; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/pkgcache.h:
    - readd All{Foreign,Allowed} as suggested by Julian to
      remain strictly API compatible
  * apt-pkg/acquire*.{cc,h}:
    - try even harder to support really big files in the fetcher by
      converting (hopefully) everything to 'long long' (Closes: #632271)
  * ftparchive/writer.cc:
    - generate all checksums in one run over the file for Release
  * cmdline/apt-get.cc:
    - add an --assume-no option for testing to say 'no' to everything
  * apt-pkg/deb/debmetaindex.cc:
    - add trusted=yes option to mark unsigned (local) repository as trusted
      based on a patch from Ansgar Burchardt, thanks a lot! (Closes: #596498)

  [ Michael Vogt ]
  * merge fixes from the debian/unstable upload
  * merge lp:~mvo/apt/sha512-template to get fixes for the
    sha1/md5 verifiation (closes: #632520)

apt (0.8.16~exp2) experimental; urgency=low

  [ David Kalnischkies ]
  * [ABI-Break] Implement EDSP in libapt-pkg so that all front-ends which
    use the internal resolver can now be used also with external
    ones as the usage is hidden in between the old API
  * provide two edsp solvers in apt-utils:
    - 'dump' to quickly output a complete scenario and
    - 'apt' to use the internal as an external resolver
  * apt-pkg/pkgcache.h:
    - clean up mess with the "all" handling in MultiArch to
      fix LP: #733741 cleanly for everyone now
  * apt-pkg/depcache.cc:
    - use a boolean instead of an int for Add/Remove in AddStates
      similar to how it works with AddSizes
    - let the Mark methods return if their marking was successful
    - if a Breaks can't be upgraded, remove it. If it or a Conflict
      can't be removed the installation of the breaker fails.
  * cmdline/apt-get.cc:
    - do not discard the error messages from the resolver and instead
      only show the general 'Broken packages' message if nothing else

  [ Stefano Zacchiroli ]
  * doc/external-dependency-solver-protocol.txt:
    - describe EDSP and the configuration interface around it

  [ Michael Vogt ]
  * [ABI-Break] merge lp:~mvo/apt/sha512-template to add support for sha512
  * [ABI-Break] merge lp:~mvo/apt/dpointer to support easier extending
    without breaking the ABI
  * increase ABI version and update package names

apt (0.8.16~exp1) experimental; urgency=low

  * merged with the debian/unstable upload

Date: Mon, 08 Aug 2011 14:30:07 +0200
Changed-By: Michael Vogt <michael.vogt at ubuntu.com>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
https://launchpad.net/ubuntu/oneiric/+source/apt/0.8.16~exp5ubuntu1
-------------- next part --------------
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 08 Aug 2011 14:30:07 +0200
Source: apt
Binary: apt libapt-pkg4.11 libapt-inst1.3 apt-doc libapt-pkg-dev libapt-pkg-doc apt-utils apt-transport-https
Architecture: source
Version: 0.8.16~exp5ubuntu1
Distribution: oneiric
Urgency: low
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Changed-By: Michael Vogt <michael.vogt at ubuntu.com>
Description: 
 apt        - APT's commandline package manager
 apt-doc    - Documentation for APT
 apt-transport-https - https download transport for APT
 apt-utils  - APT utility programs
 libapt-inst1.3 - APT's deb package format runtime library
 libapt-pkg-dev - Development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - Documentation for APT development
 libapt-pkg4.11 - APT's package managment runtime library
Closes: 596498 632271 632520
Launchpad-Bugs-Fixed: 16467 733741 812862
Changes: 
 apt (0.8.16~exp5ubuntu1) oneiric; urgency=low
 .
   * merged new version from debian/experimental, this includes
     a ABI break and two new library packages
 .
 apt (0.8.16~exp5) UNRELEASED; urgency=low
 .
   * apt-pkg/makefile:
     - install sha256.h compat header
   * apt-pkg/pkgcachegen.{cc,h}:
     - use ref-to-ptr semantic in NewDepends() to ensure that the
       libapt does not segfault if the cache is remapped in between
       (LP: #812862)
 .
 apt (0.8.16~exp4) experimental; urgency=low
 .
   [ Julian Andres Klode ]
   * apt-pkg/pkgcache.h:
     - [ABI break] Add pkgCache::Header::CacheFileSize, storing the cache size
   * apt-pkg/pkgcachegen.cc:
     - Write the file size to the cache
   * apt-pkg/pkgcache.cc:
     - Check that cache is at least CacheFileSize bytes large (LP: #16467)
 .
   [ Michael Vogt ]
   * merged latest fixes from debian-sid
   * apt-pkg/cdrom.{cc,h}:
     - cleanup old ABI break avoidance hacks
   * [ABI break] apt-pkg/acquire-item.{cc,h}:
     - cleanup around OptionalIndexTarget and SubIndexTarget
   * [ABI break] merged patch from Jonathan Thomas to have a new
     RecordField() function in the pkgRecorder parser. Many thanks
     Thomas
   * [ABI break] merge patch from Jonathan Thomas to speed up the
     depcache by caching the install-recommends and install-suggests
     values
   * apt-pkg/contrib/fileutl.{cc,h}:
     - add GetModificationTime() helper
   * apt-pkg/pkgcachegen.cc:
     - regenerate the cache if the sources.list changes to ensure
       that changes in the ordering there will be honored by apt
   * apt-pkg/sourcelist.{cc,h}:
     - add pkgSourceList::GetLastModifiedTime() helper
 .
 apt (0.8.16~exp3) experimental; urgency=low
 .
   [ David Kalnischkies ]
   * apt-pkg/pkgcache.h:
     - readd All{Foreign,Allowed} as suggested by Julian to
       remain strictly API compatible
   * apt-pkg/acquire*.{cc,h}:
     - try even harder to support really big files in the fetcher by
       converting (hopefully) everything to 'long long' (Closes: #632271)
   * ftparchive/writer.cc:
     - generate all checksums in one run over the file for Release
   * cmdline/apt-get.cc:
     - add an --assume-no option for testing to say 'no' to everything
   * apt-pkg/deb/debmetaindex.cc:
     - add trusted=yes option to mark unsigned (local) repository as trusted
       based on a patch from Ansgar Burchardt, thanks a lot! (Closes: #596498)
 .
   [ Michael Vogt ]
   * merge fixes from the debian/unstable upload
   * merge lp:~mvo/apt/sha512-template to get fixes for the
     sha1/md5 verifiation (closes: #632520)
 .
 apt (0.8.16~exp2) experimental; urgency=low
 .
   [ David Kalnischkies ]
   * [ABI-Break] Implement EDSP in libapt-pkg so that all front-ends which
     use the internal resolver can now be used also with external
     ones as the usage is hidden in between the old API
   * provide two edsp solvers in apt-utils:
     - 'dump' to quickly output a complete scenario and
     - 'apt' to use the internal as an external resolver
   * apt-pkg/pkgcache.h:
     - clean up mess with the "all" handling in MultiArch to
       fix LP: #733741 cleanly for everyone now
   * apt-pkg/depcache.cc:
     - use a boolean instead of an int for Add/Remove in AddStates
       similar to how it works with AddSizes
     - let the Mark methods return if their marking was successful
     - if a Breaks can't be upgraded, remove it. If it or a Conflict
       can't be removed the installation of the breaker fails.
   * cmdline/apt-get.cc:
     - do not discard the error messages from the resolver and instead
       only show the general 'Broken packages' message if nothing else
 .
   [ Stefano Zacchiroli ]
   * doc/external-dependency-solver-protocol.txt:
     - describe EDSP and the configuration interface around it
 .
   [ Michael Vogt ]
   * [ABI-Break] merge lp:~mvo/apt/sha512-template to add support for sha512
   * [ABI-Break] merge lp:~mvo/apt/dpointer to support easier extending
     without breaking the ABI
   * increase ABI version and update package names
 .
 apt (0.8.16~exp1) experimental; urgency=low
 .
   * merged with the debian/unstable upload
Checksums-Sha1: 
 cf2c9052e7875cfc79ee8a0316c7f22f20b52834 1538 apt_0.8.16~exp5ubuntu1.dsc
 dd7eb2e57caed7205143c95891dc1773f02e3338 3499727 apt_0.8.16~exp5ubuntu1.tar.gz
Checksums-Sha256: 
 39d97df6201f801260bb52ec8da2683a637ab5dc1741cb28c4e5425fbf15c5d8 1538 apt_0.8.16~exp5ubuntu1.dsc
 fd944d3c7490ca6120010c2cfedca3c1a8ce92d73615b47c5ed434d0d41ae8ee 3499727 apt_0.8.16~exp5ubuntu1.tar.gz
Files: 
 65ed253f74e9e81cbd2b92d3cdcf279a 1538 admin important apt_0.8.16~exp5ubuntu1.dsc
 1cb65b344e61384d5be5e33a96a8848a 3499727 admin important apt_0.8.16~exp5ubuntu1.tar.gz
Original-Maintainer: APT Development Team <deity at lists.debian.org>

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk4/1z0ACgkQliSD4VZixzSp8gCeJTtJLRW8H94kEHwwLWb2LUk+
AekAniAPjseOk4frpp6SZ6lMjCTRAu+Y
=abkj
-----END PGP SIGNATURE-----


More information about the Oneiric-changes mailing list